function [proj,except]=project_coord_v2(Rot,desired)
except=0;
n=Rot(3,:);
x=desired(1,:);
y=desired(2,:);
if x==n | x==-n
    proj=desired*Rot';
    except=1;
else
    proj_xz=(x*n'/norm(n)^2)*n;
    proj_x=x-proj_xz;
    proj_x=Rot*proj_x';
    proj(1,:)=(proj_x)/norm(proj_x);
    proj(3,:)=Rot*n';
    proj_y=cross(proj(3,:),proj(1,:));
    proj(2,:)=proj_y/norm(proj_y);
end
end